2011年11月30日

[debian-users:55793] Re: apt-crossについて

From: "Saito.k" <saitoib@xxxxx>
Subject: [debian-users:55789] apt-crossについて
Date: Tue, 29 Nov 2011 20:47:44 +0900
> apt-crossを使いたいんですが、Debian6で apt-get install apt-cross してみ
> たんですが
> おそらく、そのパッケージが見つからないか、もう古くなっているか、
> とかで、インストールできません。

まず、packages.debian.orgで検索します。
http://packages.debian.org/apt-cross

lenny (oldstable)しか出てきません。なくなったようですね。

リンクをたどりパッケージのページへ、さらに「開発者情報 (PTS)」に
すすみます。
http://packages.qa.debian.org/a/apt-cross.html

“versions”をみても、oldstableしかないことがわかります。
“news”の欄に
“[2011-02-14] Removed 0.13.4 from unstable (Alexander Reichle-Schmehl)”
とあります。リンクをたどります。
http://packages.qa.debian.org/a/apt-cross/news/20110214T122729Z.html

unstableからパッケージを削除したというメールですが、その中に

>> ------------------- Reason -------------------
>> ROM; RC buggy, alternative available (xapt)
>> ----------------------------------------------

とあります。xaptというパッケージで代替できるようです。

ここで、あらためて
http://packages.debian.org/xapt
でxaptパッケージのページにアクセスします。これをみる限り、
stableには提供されていないようです。

ですが、適当に検索したところでは、squeeze (stable)でも
インストールできるという話もありました。
http://lists.atmark-techno.com/pipermail/armadillo/2011-May/007283.html
xaptパッケージのページからダウンロードするなどして試してみてください。

そのほか、chrootなどでoldstable環境を作って、その中で
apt-crossを使い続けるという方法もあるかもしれません。
--
喜瀬“冬猫”浩


投稿者 xml-rpc : 2011年11月30日 02:14
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/107536
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。